OGRE: Ogre::LodCollapseCostProfiler Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::LodCollapseCostProfiler Class Reference

`#include <OgreLodCollapseCostProfiler.h>`

Inheritance diagram for Ogre::LodCollapseCostProfiler:
[legend]

## Public Member Functions
| LodCollapseCostProfiler (LodProfile &profile, LodCollapseCostPtr &costCalculator)
Real | computeEdgeCollapseCost (LodData *data, LodData::Vertex *src, LodData::Edge *dstEdge) override
| Returns the collapse cost of the given edge.
void | computeVertexCollapseCost (LodData *data, LodData::Vertex *vertex, Real &collapseCost, LodData::Vertex *&collapseTo) override
| Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.
void | initCollapseCosts (LodData *data) override
| This is called after the LodInputProvider has initialized LodData.
Public Member Functions inherited from Ogre::LodCollapseCost
| LodCollapseCost ()
virtual | ~LodCollapseCost ()
virtual void | initVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called from initCollapseCosts for every edge.
void | setPreventBreakingLines (bool prevent)
| Set true to prevent collapsing edges that would result in the destruction of a line.
void | setPreventPunchingHoles (bool prevent)
| Set true to prevent collapsing edges that would result in the destruction of a triangle.
virtual void | updateVertexCollapseCost (LodData *data, LodData::Vertex *vertex)
| Called when edge cost gets invalid.

## Constructor & Destructor Documentation

## ◆ LodCollapseCostProfiler()

Ogre::LodCollapseCostProfiler::LodCollapseCostProfiler | ( | LodProfile & | profile,
|  | LodCollapseCostPtr & | costCalculator )
| inline

## Member Function Documentation

## ◆ initCollapseCosts()

void Ogre::LodCollapseCostProfiler::initCollapseCosts | ( | LodData * | data | ) |
| overridevirtual

This is called after the LodInputProvider has initialized LodData.

Reimplemented from Ogre::LodCollapseCost.

## ◆ computeVertexCollapseCost()

void Ogre::LodCollapseCostProfiler::computeVertexCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | vertex,
|  | Real & | collapseCost,
|  | LodData::Vertex *& | collapseTo )
| overridevirtual

Called by initVertexCollapseCost and updateVertexCollapseCost, when the vertex minimal cost needs to be updated.

Reimplemented from Ogre::LodCollapseCost.

## ◆ computeEdgeCollapseCost()

Real Ogre::LodCollapseCostProfiler::computeEdgeCollapseCost | ( | LodData * | data,
|  | LodData::Vertex * | src,
|  | LodData::Edge * | dstEdge )
| overridevirtual

Returns the collapse cost of the given edge.

Implements Ogre::LodCollapseCost.

The documentation for this class was generated from the following file:

- OgreLodCollapseCostProfiler.h